Page MenuHomePhabricator

MultiHttpClient doesn't return any useful error information
Closed, ResolvedPublic

Description

I'm using MultiHttpClient from the libs directory to do multiple requests in parallel. When requests fail I want to know the reason. So far the only information I have been getting out of it is error code 0 with no further explanation. Docs say that it means serious curl error, but how in earth am I supposed to debug this? This is the serialized response:
a:10:{s:4:"code";i:0;s:6:"reason";s:0:"";s:7:"headers";a:0:{}s:4:"body";s:0:"";s:5:"error";s:0:"";i:0;i:0;i:1;s:0:"";i:2;a:0:{}i:3;s:0:"";i:4;s:0:"";}

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 17 2015, 8:39 PM
Nemo_bis set Security to None.
Nemo_bis added a subscriber: aaron.
Krenair added subscribers: GWicke, Krenair.EditedFeb 18 2015, 4:23 AM

We ran into this while making ParsoidVRS.

Aklapper triaged this task as Low priority.Feb 18 2015, 9:37 AM

Change 210664 had a related patch set uploaded (by Nikerabbit):
Fix MultiHttpClient to return correct errors

https://gerrit.wikimedia.org/r/210664

Change 210664 merged by jenkins-bot:
Fix MultiHttpClient to return correct errors

https://gerrit.wikimedia.org/r/210664

Nikerabbit closed this task as Resolved.Jul 15 2015, 12:15 AM